package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.exceptions;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 11/10/11
 * Time: 1:54 AM
 */
public class RuMicrodataValidatorExceptionSerializer extends AbstractMicrodataValidatorExceptionsSerializer {
    @Override
    protected String getAltWord() {
        return "или";
    }

    @Override
    protected String getErrorWord() {
        return "ОШИБКА";
    }

    @Override
    protected String getWarningWord() {
        return "ПРЕДУПРЕЖДЕНИЕ";
    }

    @Override
    protected String getMessagePrefix(final NoFieldMicrodataValidatorException ex) {
        return "поле";
    }

    @Override
    protected String getMessagePostfix(final NoFieldMicrodataValidatorException ex) {
        return "отсутствует или пусто";
    }

    @Override
    protected String getMessagePrefix(final MicrodataValidatorException ex) {
        return "";
    }

    @Override
    protected String getMessagePostfix(final MicrodataValidatorException ex) {
        return "";
    }

    @Override
    protected String getMessagePrefix(final YandexOrgTelMicrodataValidatorException ex) {
        return "для данной категории организаций необходимо указать";
    }

    @Override
    protected String getMessagePostfix(final YandexOrgTelMicrodataValidatorException ex) {
        return "";
    }

    @Override
    protected String getMessagePrefix(final UnsupportedCountryMicrodataValidatorException ex) {
        return "на текущий момент данная страна не поддерживается справочником организаций, данные этой карточки не будут использованы";
    }

    @Override
    protected String getMessagePostfix(final UnsupportedCountryMicrodataValidatorException ex) {
        return "";
    }
}
